#!/usr/bin/perl -w
#
# structuredTextTest.pl
#
# A test script for structuredText.pm.
#
# author:  Max-Gerd Retzlaff <m.retzlaff@gmx.net>
# date:    Date: 2002/01/25 01:30:00 CET
# version: Revision: pre-alpha-nearly-untested-release 0.01
#
# This application is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version. 
#
# This application is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111 USA.  

use structuredText;

if ($#ARGV < 0) {
    die ("usage: $0 source");
}

my $source = $ARGV[0];
my $text = "";

{
    local $/ = undef;
    open(SOURCE, "< $source") or die "Error: Can't open file \"$source\" for reading.\n";
    $text = <SOURCE>;
    close(SOURCE);
}

print structuredText2HTML($text);

exit 0;

